Subject: Ticket Assigned - Return
From: Centrepoint <[email-masked]>
To: [email-masked]
Date: Tue, 01 Jun 2021 05:39:19 +0000

Hi Prince Malik,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Return Hello,

I would like to cancel my order which is supposed to be delivered today. I
am totally upset with all I was in touch with and very disappointed with
the service. Called customer service but didn't get a help at all. I dont
want the item to be delivered anymore ,to be contacted by rude delivery
and go through such service again.

My order number is 9664498983 under Candy Granz

 https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/2631759